org.richfaces.fragment.popupPanel

## Class TextualRichFacesPopupPanel

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.popupPanel.RichFacesPopupPanel<TextualFragmentPart,TextualFragmentPart,TextualFragmentPart>
    - - org.richfaces.fragment.popupPanel.TextualRichFacesPopupPanel

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesPopupPanel.AdvancedPopupPanelInteractions>, Panel<TextualFragmentPart,TextualFragmentPart>, PopupPanel<TextualFragmentPart,TextualFragmentPart,TextualFragmentPart>

      public class TextualRichFacesPopupPanel
      extends RichFacesPopupPanel<TextualFragmentPart,TextualFragmentPart,TextualFragmentPart>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.popupPanel.RichFacesPopupPanel

      `RichFacesPopupPanel.AdvancedPopupPanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.popupPanel.PopupPanel

      `PopupPanel.ResizerLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextualRichFacesPopupPanel()`

  - ### Method Summary

    - ### Methods inherited from class org.richfaces.fragment.popupPanel.RichFacesPopupPanel

      `advanced, getHeaderControlsClass, getHeaderControlsContent`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.panel.Panel

      `getBodyContent, getHeaderContent`

- - ### Constructor Detail

    - #### TextualRichFacesPopupPanel

          public TextualRichFacesPopupPanel()

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.